import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/style.dart';

class EnergyConsumptionPerDeviceChart extends StatelessWidget {
  const EnergyConsumptionPerDeviceChart({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: subSectionContainerDecoration.copyWith(
        borderRadius: BorderRadius.circular(30),
      ),
      padding: const EdgeInsets.all(30),
      child: const Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'Energy Consumption per Device',
            style: TextStyle(
              fontSize: 22,
              fontWeight: FontWeight.w700,
            ),
          ),
          SizedBox(height: 20),
          Expanded(
            child: Placeholder(),
          ),
        ],
      ),
    );
  }
}
