import 'package:syncrow_web/pages/analytics/models/energy_data_model.dart';
import 'package:syncrow_web/pages/analytics/params/get_total_energy_consumption_param.dart';
import 'package:syncrow_web/pages/analytics/services/total_energy_consumption/total_energy_consumption_service.dart';

class FakeTotalEnergyConsumptionService implements TotalEnergyConsumptionService {
  @override
  Future<List<EnergyDataModel>> load(
    GetTotalEnergyConsumptionParam param,
  ) {
    return Future.value([
      EnergyDataModel(date: DateTime(2025, 1), value: 18000),
      EnergyDataModel(date: DateTime(2025, 2), value: 25000),
      EnergyDataModel(date: DateTime(2025, 3), value: 22000),
      EnergyDataModel(date: DateTime(2025, 4), value: 21000),
      EnergyDataModel(date: DateTime(2025, 5), value: 30000),
      EnergyDataModel(date: DateTime(2025, 6), value: 23000),
      EnergyDataModel(date: DateTime(2025, 7), value: 21000),
      EnergyDataModel(date: DateTime(2025, 8), value: 25000),
      EnergyDataModel(date: DateTime(2025, 9), value: 21100),
      EnergyDataModel(date: DateTime(2025, 10), value: 22000),
      EnergyDataModel(date: DateTime(2025, 11), value: 21000),
      EnergyDataModel(date: DateTime(2025, 12), value: 27500),
    ]);
  }
}
